Package org.globus.gsi.gssapi.jaas

# Class PasswordCredential

java.lang.Object
org.globus.gsi.gssapi.jaas.PasswordCredential

All Implemented Interfaces:
  `Serializable`

public class PasswordCredential extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PasswordCredential(String password)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object another)`
`String`
`getPassword()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PasswordCredential

public PasswordCredential(String password)

## Method Details

### getPassword

public String getPassword()

### equals

public boolean equals(Object another)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`